[type="file"] {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 5px;
  overflow: hidden;
  padding: 0;
  position: absolute !important;
  white-space: nowrap;
  width: 5px;
}

[type="file"] + label {
  background-color: #1890ff;
  border-color: #1890ff;
  transition: color 0.3s, background 0.3s, border-color 0.3s;
  border-radius: 4px;
  width: 100%;
  text-align: center;
  color: #fff;
  cursor: pointer;
  display: inline-block;
  padding: 0.5rem;
}

[type="file"]:focus + label,
[type="file"] + label:hover {
  background-color: #40a9ff;
  border-color: #40a9ff;
}

[type="file"]:focus + label {
  outline: 1px dotted #000;
  outline: none;
}
